Avatar

MLF 1.7.7: PHP 5.5 --> 7.x? (Technics)

by Auge ⌂ @, Sunday, March 31, 2019, 18:55 (18 days ago) @ wo2010

Hallo

Nur, um das auch hier noch einmal klarzustellen, nachdem ich es schon gegenüber Alfie etwas ausführlicher ansprach. Ich kann als Alleinunterhalter MLF1 nicht die für ein solches Projekt notwendige Aufmerksamkeit schenken, auch wenn es mich traurig macht, mehrere Jahre in die Weiterentwicklung von MLF1 gesteckt zu haben, ohne, dass dabei nach außen hin viel herausgekommen ist.

Ich habe aber andererseits auch das Repository, um Änderungen als Pull Requests und Anfragen als Issues entgegenzunehmen und zu verwalten. Wenn mir Mitstreiter zuhilfe kämen, könnte zumindest eine Version erarbeitet werden können, die unter PHP7 läuft.

Mittlerweile habe ich jedenfalls den Code von MLF 1.7.7 noch einmal überflogen und kann dir zumindest sagen, dass eine MLF1-Installation mit diesem Code ab PHP 7 definitiv nicht lauffähig ist. Der offensichtliche Grund, der mich regelrecht ansprang, sind die alten MySQL-Funktionen, mit denen das Skript läuft und die es unter PHP 7 nicht mehr gibt. Ob es noch mehr solcher Stolperfallen gibt, weiß ich nicht, aber die MySQL-Funktionen reichen als Showstopper.

Ich baue gerade die neuen MySQLi-Funktionen ein, um zumindest diesen Klops loszuwerden, mehr kann ich aktuell aber nicht versprechen. Wenn ich fertig bin, sage ich Bescheid. Ein Test mit einer Parallelinstallation zu einem bestehenden MLF-1-Forum (Benutzung der selben Datenbanktabellen) auf einem PHP-7-fähigen Webspace durch einen pder mehrere Betreiber von MLF-1-Foren wäre dann sehr nett.

Tschö, Auge

--
Trenne niemals Müll, denn er hat nur eine Silbe!


Complete thread:

 RSS Feed of thread

powered by my little forum